$! MAKE_VMS_SHARED.COM
$! 29-MAY-1997, David Mathog, Biology Division, Caltech
$!
$! This builds the savegraphics module and the testgraphics
$! program that uses it on OpenVMS 6.2 with DEC CXX 5.4.
$!
$! if P1 is anything then make a /debug version
$!
$ define/nolog amulet prgdisk:[shared.programs.amulet.amulet_3b.include.amulet]
$ define/nolog amulet_lib prgdisk:[shared.programs.amulet.amulet_3b.lib]
$ define/nolog  AMULET_DIR "/prgdisk/shared/programs/amulet/amulet_3b"
$!
$ write sys$output "Before you run amulet always be sure this is defined:"
$ sho log amulet_dir
$!
$ if P1 .nes. ""
$ then
$   ccdebug = "/debug/noopt"
$   ldebug  = "/debug"
$ else
$   ccdebug = "/nodebug"
$   ldebug  = "/nodebug"
$ endif
$!
$ mycc  :== cc/standard=ansi89/prefix=all/nolis/define=proto'ccdebug'
$ mycxx :== cxx/standard=ms/nolis'ccdebug' -
 /include=([--.include],[...]) -
 /define=(NEED_BOOL,NEED_TIME,DEBUG,NEED_SOCKET,AMULET2_CONVERSION,MEMORY) -
 /warnings=(disable=extrasemi)
$ mycxx2 :== cxx/standard=ms/nolis'ccdebug' -
 /include=([--.include],[...]) -
 /define=(PROTO,NEED_BOOL,NEED_TIME,DEBUG,NEED_SOCKET,AMULET2_CONVERSION,MEMORY) -
 /warnings=(disable=extrasemi)
$ mylink :== cxxlink'ldebug'
$!
$! put the gif into [--.lib.images], if it isn't already there
$!
$ file = f$search("[--.lib.images]thekids.gif")
$ if(file .eqs. "")then copy thekids.gif [--.lib.images]
$
$!
$! for some reason the CXXLINK doesn't pick up definitions in cgminit.h
$! if they come in via extern "C" in the main, so compile them with DEC C
$! explicitly.  I don't know if other compilers will have this problem or not.
$!
$ set ver 
$ mycc [.ralcgm.include]cgminit_frag.h
$ mycxx2 save_graphics.cc
$ mycxx test_save_graphics.cc
$ set nover
$!
$ hereis = f$environment("DEFAULT")
$ thereis = hereis - ".SRC.GRAPHICS]" + ".LIB]"
$ define wherelib 'thereis
$ set ver 
$ mylink test_save_graphics,save_graphics,cgminit_frag,sys$Input/opt
[.ralcgm.lib]ralcgm.olb/lib
wherelib:libamulet_shr.exe/share
SYS$SHARE:DECW$XLIBSHR.EXE/SHARE
$ set nover 
$!
$define libamulet_shr wherelib:libamulet_shr.exe
$type sys$Input

LIBAMULET_SHR has been defined for you, but you must define
it if you run the test program in some other session.  This
is the current value:
$ sho log libamulet_shr
